<?php
class Helponclick extends Module
{
  private $_html = '';
  function __construct()
  {
    $version_mask = explode('.', _PS_VERSION_, 2);
    $version_test = $version_mask[0] > 0 && $version_mask[1] > 3;

    $this->name = 'helponclick';
    $this->tab = $version_test ? 'others' : 'OnClick Solutions ltd';
    if ($version_test)
      $this->author = 'OnClick Solutions ltd';
    $this->version = '1.0';

    parent::__construct();

    $this->displayName = $this->l('HelpOnClick');
    $this->description = $this->l('Live Chat Software by HelpOnClick');
  }

  public function install()
  {
      return parent::install() && $this->registerHook('displayFooter');
  }

  public function getContent()
  {    
    if (isset($_GET['reset_settings'])) {
            Configuration::updateValue('helponclick_account_email',null);
            Configuration::updateValue('helponclick_account_password',null);              
            Configuration::updateValue('helponclick_code_script', null);
            echo $flag='<div class="alert" style="width: 918px; padding-left: 5px; padding-right: 5px;">Success</div>';
    }
    if (Tools::isSubmit('submit'))
    {    
        if (!isset($_POST['helponclick_account_email']) && !isset($_POST['helponclick_account_password']) && isset($_POST['helponclick_code_script'])) {
            $_helpon = htmlentities(urldecode($_POST['helponclick_code_script']));
            Configuration::updateValue('helponclick_code_script',$_helpon);
            echo $flag='<div class="alert" style="width: 918px; padding-left: 5px; padding-right: 5px;">Success</div>';  
        }else{
            if($_POST['helponclick_account_email']!="" && $_POST['helponclick_account_password']!="")
            {
                $response_errors = array ("Invalid email address<br />","Error: Can't find account, please contact support", "Empty parameters"); 
                $response = file_get_contents('http://www.helponclick.com/code.php?email='.$_POST['helponclick_account_email'].'&password='.md5($_POST['helponclick_account_password']));    
                //if (in_array(trim($response), $response_errors)) {
                if (!strstr($response, "Error")===false) {
                    echo $flag='<div class="alert error" style="width: 918px; padding-left: 5px; padding-right: 5px;">'.$response.'</div>';            
                } else {
                    $helpon = htmlentities(urldecode($response));
                    Configuration::updateValue('helponclick_account_email',$_POST['helponclick_account_email']);
                    Configuration::updateValue('helponclick_account_password',$_POST['helponclick_account_password']);              
                    Configuration::updateValue('helponclick_code_script',$helpon);
                    echo $flag='<div class="alert" style="width: 918px; padding-left: 5px; padding-right: 5px;">Connected successfully, chat is installed</div>';            
                }
            }
            else
                echo $flag='<div class="alert error" style="width: 918px; padding-left: 5px; padding-right: 5px;">Email address or password missing</div>';            
        }    
    }
    $this->_displayForm();
    return $this->_html;
    
  }
  private function _displayForm()
  {    
    $_baseurl = '?tab=AdminModules&configure=helponclick'.$currentIndex.'&token='.Tools::getValue('token');
    $options_account_email         = Configuration::get('helponclick_account_email');
    $options_account_password     = Configuration::get('helponclick_account_password');
    $options_code_script         = Configuration::get('helponclick_code_script');    
    if (!empty($options_account_email) && !empty($options_account_password)) {
        $postbox='    <fieldset><legend>'.$this->l('Connect').'</legend><div class="margin-form">
                        
                        <div class="inside">
                            <form method="post" action="http://app.helponclick.com/login" name="data_entry" id="data_entry_frm" target="_blank">
                            <input type="hidden" name="logout_to" value="http://www.helponclick.com/login.php" />
                            <input type="hidden" name="email" value="'.$options_account_email.'" />
                            <input type="hidden" name="password" value="'. $options_account_password.'" />
                            <table class="form-table">
                                <tr><td>'.$this->l('Email').'</td>
                                    <td>
                                        <input id="helponclick_account_email" name="email_dummy" size="40" type="text" value="'.$options_account_email.'" disabled="disabled"/>
                                    </td>
                                </tr>
                                <tr><td>'.$this->l('Password').'</td>
                                    <td>
                                        <input id="helponclick_account_password" name="password_dummy" size="40" type="password" value="'. $options_account_password.'" disabled="disabled"/>                            
                                    </td>
                                </tr>                         
                                <tr><td>&nbsp;</td>
                                    <td>                            
                                        <div class="buttonbox">
                                        <a href="'.$_baseurl.'&reset_settings=1"><input type="button" name="reset"  value="'.$this->l('Reset').'" class="button"/></a>
                                        <input type="submit" name="submit" value="'.$this->l('Open Operator Panel').'" class="button" />
                                        </div>
                                </td>
                                </tr>
                            </table>

                            </form>
                        </div>
                    </div></fieldset>
                    <br />';
    } else {    
        $postbox='<fieldset><legend>'.$this->l('Connect').'</legend><div class="margin-form" >
                                
                                <div class="inside">
                                    <form method="post" action="'.$_baseurl.'">
                                    <table class="form-table">
                                        <tr><td>'.$this->l('Email').'</td>
                                            <td>
                                                <input id="helponclick_account_email" name="helponclick_account_email" size="40" type="text" value="'.$options_account_email.'" />
                                            </td>
                                        </tr>
                                        <tr><td>'.$this->l('Password').'</td>
                                            <td>
                                                <input id="helponclick_account_password" name="helponclick_account_password" size="40" type="password" value="'.$options_account_password.'" />
                                            </td>
                                        </tr>
                                        <tr><td>&nbsp;</td>
                                            <td>    
                                                <input type="submit" name="submit" value="'.$this->l('Connect').'" class="button" />
                                            </td>
                                        </tr>
                                    </table>
                                    
                                    </form>
                                </div>
                            </div></fieldset>
                            <br />';
            }

    $this->_html .='<link rel="stylesheet" href="../modules/helponclick/nyroModal.css" type="text/css" media="screen" />
                <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.5.1/jquery.js"></script>
                <script type="text/javascript" src="../modules/helponclick/jquery.nyroModal.custom.js"></script>
                <script type="text/javascript">
                $(function() {
                  $(".nyroModal").nyroModal();
                });
                </script>';
    $this->_html .='
                <div class="content">            
                        <h2>'.$this->l('Live Chat Software by HelpOnClick').'</h2>
                            <div class="with3" >
                                <div>        
                                    <fieldset><legend>'.$this->l('Account').'</legend><div class="margin-form" >
                                        
                                        <div class="inside">
                                        <p><input name="account" value="1" type="radio" checked /> '.$this->l('I already have an account').'</p>
                                        <p><a style="text-decoration:none;" href="http://www.helponclick.com/signup.html?background=ffffff&utm_campaign=prestashop&utm_medium=web&utm_source=plugin" class="nyroModal" target="_blank"><input name="account" value="0" type="radio" /></a> '.$this->l('I do not have an account - quickly create account for free').'</p>
                                    </div></fieldset>
                                    <br />
                                </div>
                                '.$postbox.'
                                <fieldset><legend>'.$this->l('Code').'</legend><div class="margin-form" >
                                    
                                    <div class="inside">
                                        <br class="clear" />
                                        <form method="post" action="'.$_baseurl.'">
                                        <p>Advanced users - log into your account, go to Admin->Code tab to customize the implementation, <br />then copy and paste the HTML code below and click on "Update Code".</p>
                                        <p><textarea id="helponclick_code_script" name="helponclick_code_script" cols="80" rows="8">'.ltrim($options_code_script," /n. ").'</textarea></p>
                                        <input type="submit" name="submit" value="'.$this->l('Update Code').'" class="button" />
                                        </form>
                                    </div>
                                </div></fieldset>
                                <br />
                        </div>
                    </div>';                            
  }

    public function hookDisplayFooter()
  {
    return  html_entity_decode(Configuration::get('helponclick_code_script'));
  }

}
// End of: helponclick.php
?>
